Package Details: qgroundcontrol 3.5.5-3

Git Clone URL: https://aur.archlinux.org/qgroundcontrol.git (read-only)
Package Base: qgroundcontrol
Description: Micro air vehicle ground control station.
Upstream URL: http://qgroundcontrol.org/
Licenses: GPL3
Submitter: anselmolsm
Maintainer: pryre
Last Packager: pryre
Votes: 7
Popularity: 0.000101
First Submitted: 2016-05-13 13:37
Last Updated: 2019-10-21 02:24

Latest Comments

« First ‹ Previous 1 2 3 4

anselmolsm commented on 2016-07-03 14:05

Done. Also updated to v2.9.7b.

anselmolsm commented on 2016-07-03 12:24

OK, I was confusing this package with the -git one. The release package fetches the bundle published by QGC, which includes the version of Qt that it expects. So, Qt packages installed in the system don't matter.

The fix for this issue is the following: /usr/bin/qgroundcontrol should be a link to the script qgroundcontrol-start.sh included in the release bundle. This script sets env vars accordingly, so QGC runs using Qt 5.5 part of the bundle.

Currently, this PKGBUILD is using the same script used by the -git version. I am fixing this now.

anselmolsm commented on 2016-07-03 11:18

Current extra features 5.7 packages ;)
https://www.archlinux.org/packages/extra/x86_64/qt5-base/

I'm rebuilding QGC now, in order to check if I get the same error.

kikislater commented on 2016-07-03 07:37

I'm running QGC with Qt 5.6 like there is in archlinux repository

$ pacman -Q qt5-base
qt5-base 5.6.1-2

anselmolsm commented on 2016-07-03 00:53

Thanks for reporting this, I'll take a look at this.
Just checking: Are you both running QGC with newest Qt 5.7?

The community says that QGC currently works only with Qt 5.5, I am aware of issues with 5.6... maybe you guys found new issues with 5.7...

mr_337 commented on 2016-07-02 23:53

@kikislater, getting the exact same thing :(

kikislater commented on 2016-06-17 21:48

Erro when launching

$ qgroundcontrol
Logging ini file directory "/home/kiki/.config/QtProject"
Filter rules "qt.network.ssl.warning=false\n"
Settings location "/home/kiki/.config/QGroundControl.org/QGroundControl.ini" Is writable?: true
Failed to set Geoclue positioning requirements. Geoclue error: org.qtproject.QtDBus.Error.InvalidObjectPath
Map Cache in: "/home/kiki/.cache/QGCMapCache100" / "qgcMapCache.db"
./qgroundcontrol: symbol lookup error: ./qgroundcontrol: undefined symbol: _ZN29QGeoTiledMappingManagerEngine22createTileCacheWithDirERK7QString